org.apache.storm.trident.testing

## Class CountAsAggregator

- java.lang.Object
- - org.apache.storm.trident.operation.BaseOperation
  - - org.apache.storm.trident.operation.BaseAggregator<org.apache.storm.trident.testing.CountAsAggregator.State>
    - - org.apache.storm.trident.testing.CountAsAggregator

- All Implemented Interfaces:
    Serializable, Aggregator<org.apache.storm.trident.testing.CountAsAggregator.State>, Operation

      public class CountAsAggregator
      extends BaseAggregator<org.apache.storm.trident.testing.CountAsAggregator.State>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountAsAggregator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(org.apache.storm.trident.testing.CountAsAggregator.State state, TridentTuple tuple, TridentCollector collector)`
    `void` | `complete(org.apache.storm.trident.testing.CountAsAggregator.State state, TridentCollector collector)`
    `org.apache.storm.trident.testing.CountAsAggregator.State` | `init(Object batchId, TridentCollector collector)`

    - ### Methods inherited from class org.apache.storm.trident.operation.BaseOperation

      `cleanup, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.trident.operation.Operation

      `cleanup, prepare`

- - ### Constructor Detail

    - #### CountAsAggregator

          public CountAsAggregator()

  - ### Method Detail

    - #### init

          public org.apache.storm.trident.testing.CountAsAggregator.State init(Object batchId,
                                                                               TridentCollector collector)

    - #### aggregate

          public void aggregate(org.apache.storm.trident.testing.CountAsAggregator.State state,
                                TridentTuple tuple,
                                TridentCollector collector)

    - #### complete

          public void complete(org.apache.storm.trident.testing.CountAsAggregator.State state,
                               TridentCollector collector)

Copyright © 2021 The Apache Software Foundation. All rights reserved.